Bug 1178867 (CVE-2014-9556) - CVE-2014-9556 libmspack: buffer overflow causing denial of service in qtmd_decompress()
Summary: CVE-2014-9556 libmspack: buffer overflow causing denial of service in qtmd_de...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-9556
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1179823 1179822
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-05 15:02 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:37:20 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-01-05 15:02:28 UTC
It was reported [1] that a binary using libmspack will hang when processing a crafted .CAB file.
Upstream patch that fixes this:
http://anonscm.debian.org/cgit/collab-maint/libmspack.git/tree/debian/patches/qtmd-fix-frame_end-overflow.patch

CVE requested at: http://seclists.org/oss-sec/2015/q1/4

[1]: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=773041

Comment 1 Dan Horák 2015-01-05 15:20:10 UTC
(In reply to Vasyl Kaigorodov from comment #0)
> It was reported [1] that a binary using libmspack will hang when processing
> a crafted .CAB file.
> Upstream patch that fixes this:
> http://anonscm.debian.org/cgit/collab-maint/libmspack.git/tree/debian/
> patches/qtmd-fix-frame_end-overflow.patch

it is a local Debian patch, not upstream. Is upstream aware of the problem?

Comment 2 Vincent Danen 2015-01-07 15:42:28 UTC
This was assigned CVE-2014-9556:

http://seclists.org/oss-sec/2015/q1/85

Comment 3 Vincent Danen 2015-01-07 15:42:52 UTC
Created libmspack tracking bugs for this issue:

Affects: fedora-all [bug 1179822]
Affects: epel-all [bug 1179823]

Comment 4 Vincent Danen 2015-01-07 15:45:23 UTC
(In reply to Dan Horák from comment #1)
> (In reply to Vasyl Kaigorodov from comment #0)
> > It was reported [1] that a binary using libmspack will hang when processing
> > a crafted .CAB file.
> > Upstream patch that fixes this:
> > http://anonscm.debian.org/cgit/collab-maint/libmspack.git/tree/debian/
> > patches/qtmd-fix-frame_end-overflow.patch
> 
> it is a local Debian patch, not upstream. Is upstream aware of the problem?

Unknown; this was reported to oss-sec by Debian.  Looking at their bug report it seems that upstream clamav is aware, but I can't tell if they've let upstream libmspack know about it.

Comment 5 Fedora Update System 2015-03-13 17:00:38 UTC
libmspack-0.5-0.1.alpha.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-03-13 17:02:14 UTC
libmspack-0.5-0.1.alpha.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-03-13 17:14:37 UTC
libmspack-0.5-0.1.alpha.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-03-25 20:04:28 UTC
libmspack-0.5-0.1.alpha.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-03-25 20:04:59 UTC
libmspack-0.5-0.1.alpha.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Product Security DevOps Team 2019-06-08 02:37:20 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.